# Class CIM_SwitchPortSourceRoutingStatistics
extends CIM_SAPStatisticalInformation

Statistical information regarding a SwitchPort supporting source routing.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalInformation
|
+--CIM_SAPStatisticalInformation
|
+--CIM_SwitchPortSourceRoutingStatistics

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Statistical information regarding a SwitchPort supporting source routing.
UMLPackagePath | string | CIM::Network::SwitchingBridging
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ApeInFrames | uint32 |
Counter | boolean | true
Description | string | The number of All Paths Explorer frames, also referred to as All Routes Explorer frames, that have been received by the port from its segment.
MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dSrPortApeInFrames
ApeOutFrames | uint32 |
Counter | boolean | true
Description | string | The number of all Paths Explorer Frames, also referred to as All Routes Explorer frames, that have been transmitted by the port on its segment.
MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dSrPortApeOutFrames
DupLanIdOrTreeErrors | uint32 |
Counter | boolean | true
Description | string | The number of duplicate LAN IDs or Tree errors. This helps in detection of problems in networks containing older Source Routing Bridges.
MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dSrPortDupLanIdOrTreeErrors
DuplicateSegmentDiscards | uint32 |
Counter | boolean | true
Description | string | The number of frames that have been discarded by the port because the routing descriptor field contained a duplicate segment identifier.
MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dSrPortDuplicateSegmentDiscards
HopCountExceedsDiscards | uint32 |
Counter | boolean | true
Description | string | The number of explorer frames that have been discarded by the port because the Routing Information Field has exceeded the maximum route descriptor length.
MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dSrPortHopCountExceedsDiscards
LanIdMismatches | uint32 |
Counter | boolean | true
Description | string | The number of ARE and STE frames that were discarded because the last LAN ID in the routing information field did not equal the LAN-in ID. This error can occur in implementations which do only a LAN-in ID and Bridge Number check instead of a LAN-in ID, Bridge Number, and LAN-out ID check before they forward broadcast frames.
MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dSrPortLanIdMismatches
SegmentMismatchDiscards | uint32 |
Counter | boolean | true
Description | string | The number of explorer frames that have been discarded by the port because the routing descriptor field contained an invalid adjacent segment value.
MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dSrPortSegmentMismatchDiscards
SpecInFrames | uint32 |
Counter | boolean | true
Description | string | The number of Specifically Routed frames, also referred to as Source Routed Frames, that have been received from the segment attached to the port.
MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dSrPortSpecInFrames
SpecOutFrames | uint32 |
Counter | boolean | true
Description | string | The number of Specifically Routed frames, also referred to as Source Routed Frames, that the port has transmitted on its segment.
MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dSrPortSpecOutFrames
SteInFrames | uint32 |
Counter | boolean | true
Description | string | The number of spanning tree explorer frames that have been received by the port from its segment.
MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dSrPortSteInFrames
SteOutFrames | uint32 |
Counter | boolean | true
Description | string | The number of spanning tree explorer frames that have been transmitted by the port on its segment.
MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dSrPortSteOutFrames

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CreationClassName | string | CIM_SAPStatisticalInformation
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_SAPStatisticalInformation
SAPCreationClassName | string | CIM_SAPStatisticalInformation
SAPName | string | CIM_SAPStatisticalInformation
SystemCreationClassName | string | CIM_SAPStatisticalInformation
SystemName | string | CIM_SAPStatisticalInformation

## Class Methods